/**
 * tdesign v1.8.5
 * (c) 2025 TDesign Group
 * @license MIT
 */

var DateTimePickerProps = {
  cancelBtn: {
    type: String,
    default: ""
  },
  confirmBtn: {
    type: String,
    default: ""
  },
  end: {
    type: [String, Number]
  },
  format: {
    type: String,
    default: "YYYY-MM-DD HH:mm:ss"
  },
  mode: {
    type: [String, Array],
    default: "date"
  },
  renderLabel: {
    type: Function
  },
  showWeek: Boolean,
  start: {
    type: [String, Number]
  },
  title: {
    type: String,
    default: ""
  },
  value: {
    type: [String, Number]
  },
  modelValue: {
    type: [String, Number]
  },
  defaultValue: {
    type: [String, Number]
  },
  onCancel: Function,
  onChange: Function,
  onConfirm: Function,
  onPick: Function
};

export { DateTimePickerProps as default };
//# sourceMappingURL=props.mjs.map
