/**
 * tdesign v1.8.5
 * (c) 2025 TDesign Group
 * @license MIT
 */

import { _ as _defineProperty } from '../../_chunks/dep-053cb48c.mjs';
import { _ as _asyncToGenerator, r as regenerator } from '../../_chunks/dep-193006a3.mjs';
import { sleep } from '../util.mjs';
import '../../_chunks/dep-c32fde6f.mjs';
import '../../_chunks/dep-3f47bc46.mjs';
import '../../_chunks/dep-a2ad5b0c.mjs';
import '../../_chunks/dep-a75faf43.mjs';
import 'lodash-es';
import '../../config.mjs';

function useTestUtils() {
  var makeScroll = /*#__PURE__*/function () {
    var _ref = _asyncToGenerator(/*#__PURE__*/regenerator.mark(function _callee(dom, name, offset) {
      var eventTarget, evt;
      return regenerator.wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            eventTarget = dom === document.documentElement ? window : dom;
            dom[name] = offset;
            evt = new CustomEvent("scroll", {
              detail: {
                target: _defineProperty({}, name, offset)
              }
            });
            eventTarget.dispatchEvent(evt);
            _context.next = 6;
            return sleep(0);
          case 6:
          case "end":
            return _context.stop();
        }
      }, _callee);
    }));
    return function makeScroll(_x, _x2, _x3) {
      return _ref.apply(this, arguments);
    };
  }();
  return {
    makeScroll: makeScroll,
    sleep: sleep
  };
}

export { useTestUtils };
//# sourceMappingURL=index.mjs.map
