/**
 * tdesign v1.8.5
 * (c) 2025 TDesign Group
 * @license MIT
 */

import _TabBar from './tab-bar.mjs';
import _TabBarItem from './tab-bar-item.mjs';
import '../shared/index.mjs';
import './style/css.mjs';
import './type.mjs';
import { withInstall } from '../shared/component.mjs';
import '../_chunks/dep-053cb48c.mjs';
import '../_chunks/dep-c32fde6f.mjs';
import '../_chunks/dep-a2ad5b0c.mjs';
import '../_chunks/dep-a75faf43.mjs';
import 'vue';
import './props.mjs';
import '../config.mjs';
import '../hooks/useVModel.mjs';
import 'lodash-es';
import '../hooks/tnode.mjs';
import '../hooks/render-tnode.mjs';
import '../hooks/useClass.mjs';
import '../config-provider/useConfig.mjs';
import '../config-provider/context.mjs';
import '../_common/js/global-config/mobile/default-config.mjs';
import '../_common/js/global-config/mobile/locale/zh_CN.mjs';
import '../_chunks/dep-03e8deb3.mjs';
import '../_chunks/dep-3f47bc46.mjs';
import '../_chunks/dep-f4f4cd7d.mjs';
import '../_chunks/dep-39376bb1.mjs';
import '../config-provider/type.mjs';
import '../shared/useChildSlots/index.mjs';
import '../_chunks/dep-6be01994.mjs';
import 'tdesign-icons-vue-next';
import '../badge/index.mjs';
import '../badge/badge.mjs';
import '../badge/props.mjs';
import '../badge/type.mjs';
import './useTabBar.mjs';
import './tab-bar-item-props.mjs';
import '../shared/functions.mjs';
import '../shared/util.mjs';
import '../shared/constants.mjs';
import '../shared/render.mjs';
import '../shared/dom.mjs';
import '../shared/render-tnode.mjs';
import '../shared/useToggle/index.mjs';
import '../shared/useCountDown/index.mjs';
import '../_chunks/dep-193006a3.mjs';
import '@vueuse/core';
import '../shared/useCountDown/utils.mjs';
import '../shared/useTouch/index.mjs';
import '../shared/useScrollParent/index.mjs';
import '../shared/useExpose/index.mjs';
import '../shared/useTest/index.mjs';
import '../shared/useClickAway/index.mjs';
import '../shared/useGesture/index.mjs';
import '@use-gesture/vanilla';
import '../shared/hover.mjs';

var TabBar = withInstall(_TabBar);
var TabBarItem = withInstall(_TabBarItem);

export { TabBar, TabBarItem, TabBar as default };
//# sourceMappingURL=index.mjs.map
