/**
 * tdesign v1.8.5
 * (c) 2025 TDesign Group
 * @license MIT
 */

import BaseTable from './base-table.mjs';
import '../shared/index.mjs';
import './style/css.mjs';
import './type.mjs';
import './interface.mjs';
import { withInstall } from '../shared/component.mjs';
import '../_chunks/dep-053cb48c.mjs';
import '../_chunks/dep-c32fde6f.mjs';
import 'vue';
import 'lodash-es';
import './base-table-props.mjs';
import '../config.mjs';
import './hooks/useClassName.mjs';
import '../hooks/useClass.mjs';
import '../config-provider/useConfig.mjs';
import '../config-provider/context.mjs';
import '../_common/js/global-config/mobile/default-config.mjs';
import '../_common/js/global-config/mobile/locale/zh_CN.mjs';
import '../_chunks/dep-03e8deb3.mjs';
import '../_chunks/dep-3f47bc46.mjs';
import '../_chunks/dep-f4f4cd7d.mjs';
import '../_chunks/dep-39376bb1.mjs';
import '../config-provider/type.mjs';
import './hooks/useStyle.mjs';
import '../loading/index.mjs';
import '../loading/loading.mjs';
import '../loading/icon/gradient.mjs';
import '../_common/js/loading/circle-adapter.mjs';
import '../_common/js/utils/setStyle.mjs';
import '../_common/js/utils/helper.mjs';
import '../_chunks/dep-6be01994.mjs';
import '../_chunks/dep-a75faf43.mjs';
import '../_chunks/dep-10e7ac6e.mjs';
import '../_chunks/dep-a2ad5b0c.mjs';
import '../loading/icon/spinner.mjs';
import '../loading/props.mjs';
import '../hooks/tnode.mjs';
import '../hooks/render-tnode.mjs';
import '../shared/dom.mjs';
import '../loading/type.mjs';
import '../loading/plugin.mjs';
import '../shared/functions.mjs';
import '../shared/util.mjs';
import '../shared/constants.mjs';
import '../shared/render.mjs';
import '../shared/render-tnode.mjs';
import '../shared/useToggle/index.mjs';
import '../shared/useCountDown/index.mjs';
import '../_chunks/dep-193006a3.mjs';
import '@vueuse/core';
import '../shared/useCountDown/utils.mjs';
import '../shared/useChildSlots/index.mjs';
import '../shared/useTouch/index.mjs';
import '../shared/useScrollParent/index.mjs';
import '../shared/useExpose/index.mjs';
import '../shared/useTest/index.mjs';
import '../shared/useClickAway/index.mjs';
import '../shared/useGesture/index.mjs';
import '@use-gesture/vanilla';
import '../shared/hover.mjs';

var Table = withInstall(BaseTable, "TTable");

export { Table, Table as default };
//# sourceMappingURL=index.mjs.map
