/**
 * tdesign v1.8.5
 * (c) 2025 TDesign Group
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
var shared_util = require('../shared/util.js');
require('@babel/runtime/helpers/slicedToArray');
require('../config.js');
require('../_chunks/dep-5bd74ffa.js');
require('../_chunks/dep-e359cf98.js');
require('@babel/runtime/helpers/typeof');
require('../_chunks/dep-d8882efd.js');

var supportsPassive = vue.ref(false);
if (!shared_util.isBrowser) {
  try {
    var opts = {};
    Object.defineProperty(opts, "passive", {
      get: function get() {
        supportsPassive.value = true;
        return true;
      }
    });
    window.addEventListener("test-passive", null, opts);
  } catch (e) {}
}

exports.supportsPassive = supportsPassive;
//# sourceMappingURL=supportsPassive.js.map
