import { GlobalConfigProvider } from './type';
import type { TdConfigProviderProps } from './type';
export * from './type';
export declare function useConfig<T extends keyof GlobalConfigProvider>(componentName?: T, componentLocale?: GlobalConfigProvider[T]): {
    t: <T_1>(pattern: T_1, ...args: any[]) => any;
    global: import("vue").ComputedRef<{} & GlobalConfigProvider[T]>;
    globalConfig: import("vue").ComputedRef<{} & GlobalConfigProvider[T]>;
    classPrefix: import("vue").ComputedRef<string>;
};
export declare const provideConfig: (props: TdConfigProviderProps) => import("vue").ComputedRef<{
    actionSheet?: import("./type").ActionSheetConfig;
    calendar?: import("./type").CalendarConfig;
    cascader?: import("./type").CascaderConfig;
    classPrefix?: string;
    dateTimePicker?: import("./type").DateTimePickerConfig;
    dropdownMenu?: import("./type").DropdownMenuConfig;
    guide?: import("./type").GuideConfig;
    list?: import("./type").ListConfig;
    picker?: import("./type").PickerConfig;
    pullDownRefresh?: import("./type").PullDownRefreshConfig;
    rate?: import("./type").RateConfig;
    tabBar?: import("./type").TabBarConfig;
    table?: import("./type").TableConfig;
    upload?: import("./type").UploadConfig;
}>;
