/**
 * tdesign v1.8.5
 * (c) 2025 TDesign Group
 * @license MIT
 */

export { cmyk2rgb, cmykInputToColor, rgb2cmyk } from './cmyk.mjs';
export { Color, genGradientPoint, genId, getColorObject, getColorWithoutAlpha, gradientColors2string } from './color.mjs';
export { ALPHA_FORMAT_MAP, COLOR_FORMAT_INPUTS, COLOR_MODES, DEFAULT_COLOR, DEFAULT_LINEAR_GRADIENT, DEFAULT_SYSTEM_SWATCH_COLORS, FORMATS, GRADIENT_SLIDER_DEFAULT_WIDTH, SATURATION_PANEL_DEFAULT_HEIGHT, SATURATION_PANEL_DEFAULT_WIDTH, SLIDER_DEFAULT_WIDTH, TD_COLOR_USED_COLORS_MAX_SIZE } from './constants.mjs';
export { Draggable } from './draggable.mjs';
export { getColorFormatInputs, getColorFormatMap, getColorFormatOptions, initColorFormat } from './format.mjs';
export { i as isGradientColor, p as parseGradientString } from '../../../_chunks/dep-4b0073d5.mjs';
import './types.mjs';
import '../../../_chunks/dep-a2ad5b0c.mjs';
import '../../../_chunks/dep-a75faf43.mjs';
import '../../../_chunks/dep-ed323c2b.mjs';
import '../../../_chunks/dep-053cb48c.mjs';
import '../../../_chunks/dep-c32fde6f.mjs';
import 'lodash-es';
import '../../../_chunks/dep-6be01994.mjs';
//# sourceMappingURL=index.mjs.map
